---
layout: default
---

# Contributing to Salami

Thanks for checking out the Salami! We're excited to hear and learn from you. Your experiences will benefit others who read and use these project.

We've put together the following guidelines to help you figure out where you can best be helpful.

## Table of Contents

0. [Types of contributions we're looking for](#types-of-contributions-were-looking-for)
1. [Ground rules & expectations](#ground-rules--expectations)
2. [How to contribute](#how-to-contribute)
3. [Style](#style)
4. [Setting up your environment](#setting-up-your-environment)
5. [Community](#community)

## Types of contributions we're looking for

There are many ways you can directly contribute to the project (in descending order of need):

- Troubleshooting encountered errors
- Creating new useful functionalities

Interested in contributing to this project? Read on!

## Ground rules & expectations

Before we get started, here are a few things we expect from you (and that you should expect from others):

- Be kind and thoughtful in your conversations around this project. We all come from different backgrounds and projects, which means we likely have different perspectives on "how open source is done." Try to listen to others rather than convince them that your way is correct.
- Open Source Guides are released with a [Contributor Code of Conduct](./CODE_OF_CONDUCT.md). By participating in this project, you agree to abide by its terms.
- Please ensure that your contribution passes all tests if you open a pull request. If there are test failures, you will need to address them before we can merge your contribution.
- When adding content, please consider if it is widely valuable. Please don't add references or links to things you or your employer have created, as others will do so if they appreciate it.

## How to contribute

If you'd like to contribute, start by searching through the [issues](https://github.com/HeyDevTalents/salami/issues) and [pull requests](https://github.com/HeyDevTalents/salami/pulls) to see whether someone else has raised a similar idea or question.

If you don't see your idea listed, and you think it fits into the goals, open a pull request.

## Style

If you're writing content, see the [style](./docs/style.md) to help your prose match the rest of the.

## Setting up your environment

This project is powered by [Flutter](https://github.com/flutter/flutter). Running it on your local machine requires a working [Dart](https://github.com/dart-lang).

Po skonfigurowaniu środowiska możesz otworzyć projekt lokalnie na emularorach android i ios lub na fizycznym urządzeniu.

## Community

Discussions about the Open Source Guides take place on this repository's [Issues](https://github.com/HeyDevTalents/salami/issues) and [Pull Requests](https://github.com/HeyDevTalents/salami/pulls) sections. Anybody is welcome to join these conversations.

Wherever possible, do not take these conversations to private channels, including contacting the maintainers directly. Keeping communication public means everybody can benefit and learn from the conversation.
